Package com.oracle.nosql.spring.data.core.mapping

# Class NosqlMappingContext

java.lang.Object
org.springframework.data.mapping.context.AbstractMappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>
com.oracle.nosql.spring.data.core.mapping.NosqlMappingContext

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationContextAware`, `org.springframework.context.ApplicationEventPublisherAware`, `org.springframework.context.EnvironmentAware`, `org.springframework.data.mapping.context.MappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>`

public class NosqlMappingContext extends org.springframework.data.mapping.context.AbstractMappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NosqlMappingContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <T> BasicNosqlPersistentEntity<T>`
  `createPersistentEntity(org.springframework.data.util.TypeInformation<T> typeInformation)`
  `NosqlPersistentProperty`
  `createPersistentProperty(org.springframework.data.mapping.model.Property property, BasicNosqlPersistentEntity<?> owner, org.springframework.data.mapping.model.SimpleTypeHolder simpleTypeHolder)`
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
  `protected boolean`
  `shouldCreatePersistentEntityFor(org.springframework.data.util.TypeInformation<?> type)`

  ### Methods inherited from class org.springframework.data.mapping.context.AbstractMappingContext

  `addPersistentEntity, addPersistentEntity, afterPropertiesSet, doFindPersistentPropertyPaths, findPersistentPropertyPaths, getManagedTypes, getPersistentEntities, getPersistentEntity, getPersistentEntity, getPersistentEntity, getPersistentPropertyPath, getPersistentPropertyPath, getPersistentPropertyPath, hasPersistentEntityFor, initialize, setApplicationEventPublisher, setBeanFactory, setEnvironment, setInitialEntitySet, setManagedTypes, setSimpleTypeHolder, setStrict, shouldCreateProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.data.mapping.context.MappingContext

  `getRequiredPersistentEntity, getRequiredPersistentEntity, getRequiredPersistentEntity`

- ## Constructor Details

  - ### NosqlMappingContext

    public NosqlMappingContext()

- ## Method Details

  - ### createPersistentEntity

    protected <T> BasicNosqlPersistentEntity<T> createPersistentEntity(org.springframework.data.util.TypeInformation<T> typeInformation)
    Specified by:
      `createPersistentEntity` in class `org.springframework.data.mapping.context.AbstractMappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>`

  - ### createPersistentProperty

    public NosqlPersistentProperty createPersistentProperty(org.springframework.data.mapping.model.Property property, BasicNosqlPersistentEntity<?> owner, org.springframework.data.mapping.model.SimpleTypeHolder simpleTypeHolder)
    Specified by:
      `createPersistentProperty` in class `org.springframework.data.mapping.context.AbstractMappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>`

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
    Overrides:
      `setApplicationContext` in class `org.springframework.data.mapping.context.AbstractMappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>`

  - ### shouldCreatePersistentEntityFor

    protected boolean shouldCreatePersistentEntityFor(org.springframework.data.util.TypeInformation<?> type)
    Overrides:
      `shouldCreatePersistentEntityFor` in class `org.springframework.data.mapping.context.AbstractMappingContext<BasicNosqlPersistentEntity<?>,NosqlPersistentProperty>`